org.eclipse.mat.ui.internal.query.arguments

## Class ImageTextEditor

- java.lang.Object
- - Composite
  - - org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor
    - - org.eclipse.mat.ui.internal.query.arguments.TextEditor
      - - org.eclipse.mat.ui.internal.query.arguments.ImageTextEditor

    public class ImageTextEditor
    extends TextEditor

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.mat.ui.internal.query.arguments.TextEditor

`TextEditor.DecoratorType`

### Nested classes/interfaces inherited from class org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

`ArgumentEditor.IEditorListener`

### Constructor Summary

Constructors
Constructor and Description
`ImageTextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`

### Methods inherited from class org.eclipse.mat.ui.internal.query.arguments.TextEditor

`getDecorator, getValue, setFocus, setValue`

### Methods inherited from class org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

`addListener, getDescriptor, removeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageTextEditor

    public ImageTextEditor(Composite parent,
                           IQueryContext context,
                           ArgumentDescriptor descriptor,
                           TableItem item,
                           TextEditor.DecoratorType decorator)

### Method Detail

#### dispose

    public void dispose()